spot 2.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | List of all members
spot::state_unicity_table Class Reference
TωA (Transition-based ω-Automata) » Essential TωA types

Render state pointers unique via a hash table. More...

`#include <spot/twa/twa.hh>`

Collaboration diagram for spot::state_unicity_table:

## Public Member Functions
const state * | operator() (const state *s)
| Canonicalize state pointer. More...
const state * | is_new (const state *s)
| Canonicalize state pointer. More...
size_t | size ()

## Detailed Description

Render state pointers unique via a hash table.

## Member Function Documentation

const state* spot::state_unicity_table::is_new | ( | const state * | s | ) |
| inline

Canonicalize state pointer.

Same as operator(), except that a nullptr is returned if the state is not new.

References spot::state::destroy().

const state* spot::state_unicity_table::operator() | ( | const state * | s | ) |
| inline

Canonicalize state pointer.

If this is the first time a state is seen, this return the state pointer as-is, otherwise it frees the state and returns a point to the previously seen copy.

States are owned by the table and will be freed on destruction.

References spot::state::destroy().

The documentation for this class was generated from the following file:

- spot/twa/twa.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.